com.unitech.lib.eax

## Class EA530Reader

- java.lang.Object
- - com.unitech.lib.reader.BaseReader
  - - com.unitech.lib.eax.EA530Reader

-     public class EA530Reader
      extends BaseReader

- - ### Field Summary

    - ### Fields inherited from class com.unitech.lib.reader.BaseReader

      `_actionState, _baseDevice, _baseEngine, _baseTransport, _baseUHF, _checkInterval, _failCount, _fwVersion, _isDisconnecting, _lastError, _serialNo, DEFAULT_BATTERY_CHECK_INTERVAL, mLastTime, RETRY_COUNT, TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EA530Reader(Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `connect()` An instance of the BaseReader class tries to connect to the configured address
    `void` | `disconnect()` Causes an instance of the BaseReader class to disconnect from the connected device.
    `boolean` | `initReader()` Initializes an BaseReader instance after the BaseReader instance is associated with the device.
    `void` | `onActionChanged(ResultCode resultCode, ActionType actionType, Object params)`
    `void` | `onBatteryState(int batteryState, Object params)`
    `void` | `onEngineReadyEvent(boolean state, Object params)`
    `void` | `onEvent(ProtocolEventId protocolEventId, Object data)` Use only within the SDK.
    `void` | `onFirmwareUpdate(FirmwareUpdateState state, int percentage, Object params)`
    `void` | `onKeyEvent(KeyType keyType, KeyState keyState, Object params)`
    `void` | `onNotificationState(NotificationState state, Object params)`
    `void` | `onStateChanged(ConnectState state, Object params)` Called when the connection state of the BaseTransport instance and the device changes.
    `void` | `onTemperatureState(double temperature, Object params)`
    `void` | `powerCtrl(boolean enabled)`

    - ### Methods inherited from class com.unitech.lib.reader.BaseReader

      `abortFirmwareUpdate, addListener, allocateEngine, allocateUHF, allocateUHF, assertAction, checkError, clearListener, destroy, eventNotify, factoryReset, firmwareUpdate, getAction, getAddress, getAmbientTemperature, getAmbientTemperatureProtection, getAutoOffTime, getAutoOffTimeList, getBaseEngine, getBatteryState, getBatteryStatus, getBatteryStatusExtended, getBeeper, getBluetoothAddress, getBluetoothName, getBluetoothSecuritySimplePairing, getCheckInterval, getConnectionMode, getConnectType, getControlCharacterFilter, getDataCollectionMode, getDataDisplayMode, getDataDisplayTime, getDataFormat, getDataInfo, getDataRange, getDataTerminator, getDeviceName, getDeviceType, getEngineModel, getEngineVersion, getFindReplace, getGs1Ai, getHidInterCharacterDelay, getHidKeyboardCase, getHidKeyboardLanguage, getInventoryDataFormat, getKeyFunction, getLastError, getLedControl, getOperatingMode, getParameter, getParameter, getParameters, getParameters, getPATemperature, getPATemperatureProtection, getProtocol, getReadMode, getRfidModuleFirmware, getRfidModuleSkuType, getRfidModuleType, getRfidUhf, getScannerDataFormat, getScannerIndicator, getScreenOffTime, getSerialNo, getSettingByLabel, getSKU, getState, getSupportedParameterIds, getSupportedParameterIds, getSupportedParameters, getSupportedParameters, getTagUnique, getTemperature, getTemperatureProtectionMode, getTime, getTransport, getUserData, getVersion, getVibrator, listen, reboot, removeListener, resetError, retrieveBatchedData, setAction, setAddress, setAmbientTemperatureProtection, setAutoOffTime, setBarcodeEventListener, setBeeper, setBluetoothSecuritySimplePairing, setCheckInterval, setConnectionMode, setControlCharacterFilter, setDataCollectionMode, setDataDisplayMode, setDataDisplayTime, setDataFormat, setDataInfo, setDataRange, setDataTerminator, setDeviceIndicator, setDeviceName, setDeviceType, setDisplayOutput, setDisplayTags, setFindDevice, setFindReplace, setGs1Ai, setHidInterCharacterDelay, setHidKeyboardCase, setHidKeyboardLanguage, setInventoryDataFormat, setKeyFunction, setLastError, setLedControl, setOperatingMode, setParameter, setParameter, setParameters, setParameters, setPATemperatureProtection, setReadMode, setRfidEventListener, setScannerDataFormat, setScannerIndicator, setScreenOffTime, setSettingByLabel, setTagUnique, setTemperatureProtectionMode, setTime, setUserData, setVibrator, shutDown, stagingReset, startDecode, stopDecode, toString, triggerAccessResultEvent, triggerActionChangedEvent, triggerAntennaStatusEvent, triggerBarcodeDataEvent, triggerBatchDataEvent, triggerBatteryStateEvent, triggerConnectStateChangedEvent, triggerFirmwareUpdateEvent, triggerKeyChangedEvent, triggerLBTStatusEvent, triggerNotificationStateEvent, triggerReadTagEvent, triggerTemperatureStateEvent, unpairBluetooth`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EA530Reader

          public EA530Reader(Context context)
                      throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### connect

          public boolean connect()

      Description copied from class: `BaseReader`
      An instance of the BaseReader class tries to connect to the configured address
      Overrides:
        `connect` in class `BaseReader`
      Returns:
        Returns true if the connection attempt is successful, false on failure.

    - #### disconnect

          public void disconnect()

      Description copied from class: `BaseReader`
      Causes an instance of the BaseReader class to disconnect from the connected device.
      Overrides:
        `disconnect` in class `BaseReader`

    - #### initReader

          public boolean initReader()

      Description copied from class: `BaseReader`
      Initializes an BaseReader instance after the BaseReader instance is associated with the device.
      Specified by:
        `initReader` in class `BaseReader`
      Returns:
        Returns true if successful, false against failure

    - #### onStateChanged

          public void onStateChanged(ConnectState state,
                                     Object params)

      Description copied from class: `BaseReader`
      Called when the connection state of the BaseTransport instance and the device changes.
      Specified by:
        `onStateChanged` in class `BaseReader`
      Parameters:
        `state` - A ConnectState enumeration that indicates the device and its connection status.
        `params` - This parameter is used to transmit additional information that is generated

    - #### onActionChanged

          public void onActionChanged(ResultCode resultCode,
                                      ActionType actionType,
                                      Object params)

    - #### onBatteryState

          public void onBatteryState(int batteryState,
                                     Object params)

    - #### onEvent

          public void onEvent(ProtocolEventId protocolEventId,
                              Object data)

      Use only within the SDK.

    - #### onKeyEvent

          public void onKeyEvent(KeyType keyType,
                                 KeyState keyState,
                                 Object params)

    - #### onNotificationState

          public void onNotificationState(NotificationState state,
                                          Object params)

    - #### onTemperatureState

          public void onTemperatureState(double temperature,
                                         Object params)

    - #### onFirmwareUpdate

          public void onFirmwareUpdate(FirmwareUpdateState state,
                                       int percentage,
                                       Object params)

    - #### onEngineReadyEvent

          public void onEngineReadyEvent(boolean state,
                                         Object params)

    - #### powerCtrl

          public void powerCtrl(boolean enabled)
                         throws Exception

      Throws:
        `Exception`